Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class Tar

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.bundling.AbstractArchiveTask
              org.gradle.api.tasks.bundling.Zip
                  org.gradle.api.tasks.bundling.Tar

    class Tar
    extends Zip

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `TAR_EXTENSION`
`AntTar` | `antTar`
`Compression` | `compression`
`LongFile` | `longFile`

Constructor Summary
`Tar()`

Method Summary
`groovy.lang.Closure` | `createAntArchiveTask()`
`AntTar` | `getAntTar()`
`Compression` | `getCompression()`
`LongFile` | `getLongFile()`
`void` | `setAntTar(AntTar antTar)`
`void` | `setCompression(Compression compression)`
`void` | `setLongFile(LongFile longFile)`
`TarFileSet` | `tarFileSet(groovy.lang.Closure configureClosure)`
`TarFileSet` | `tarFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)`

Methods inherited from class Zip
getAntZip, setAntZip

Methods inherited from class AbstractArchiveTask
addFileSetInternal, antDirective, createAntArchiveTask, createFileSetInternal, fileSet, fileSet, from, generateArchive, getAllSource, getAppendix, getArchiveName, getArchivePath, getBaseDir, getBaseName, getClassifier, getCustomName, getDestinationDir, getExtension, getMergeFileSets, getMergeGroupFileSets, getResourceCollections, getVersion, merge, mergeGroup, resourceCollections, setAppendix, setBaseDir, setBaseName, setClassifier, setCreateIfEmpty, setCustomName, setDestinationDir, setExtension, setMergeFileSets, setMergeGroupFileSets, setResourceCollections, setVersion

Property Detail

### TAR_EXTENSION

    public static final java.lang.String TAR_EXTENSION

### antTar

    AntTar antTar

### compression

    Compression compression

### longFile

    LongFile longFile

Constructor Detail

### Tar

    public Tar()

Method Detail

### createAntArchiveTask

    groovy.lang.Closure createAntArchiveTask()

### getAntTar

    public AntTar getAntTar()

### getCompression

    public Compression getCompression()

### getLongFile

    public LongFile getLongFile()

### setAntTar

    public void setAntTar(AntTar antTar)

### setCompression

    public void setCompression(Compression compression)

### setLongFile

    public void setLongFile(LongFile longFile)

### tarFileSet

    TarFileSet tarFileSet(groovy.lang.Closure configureClosure)

### tarFileSet

    TarFileSet tarFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)

Groovy Documentation